Subject: bug#65466: closed (Re: bug#65466: Something from recent commits is broken.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Nov 2023 09:29:04 +0000

Your bug report

#65466: Something from recent commits is broken.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65466: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65466
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65466: Something from recent commits is broken.
From: Simon Tournier <[email-masked]>
To: Apoorv <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Nov 2023 20:37:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On dim., 29 oct. 2023 at 19:30, Apoorv <[email-masked]> wrote:
> The issue is fixed and can be closed.

Thanks.  So closing.

Cheers,
simon

Subject: Something from recent commits is broken.
From: Apoorv <[email-masked]>
To: [email-masked]
Date: Wed, 23 Aug 2023 06:16:34 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

While trying to run `guix pull` I am getting this this,

```
Backtrace:
In ice-9/boot-9.scm:
   222:29 19 (map1 _)
   222:29 18 (map1 _)
   222:29 17 (map1 _)
   222:29 16 (map1 _)
   222:29 15 (map1 _)
   222:29 14 (map1 _)
   222:29 13 (map1 _)
   222:29 12 (map1 _)
   222:17 11 (map1 (((gnu packages tex)) ((gnu packages xml)) ((…)) …))
  3327:17 10 (resolve-interface (gnu packages tex) #:select _ #:hide …)
In ice-9/threads.scm:
    390:8  9 (_ _)
In ice-9/boot-9.scm:
  3253:13  8 (_)
In ice-9/threads.scm:
    390:8  7 (_ _)
In ice-9/boot-9.scm:
  3544:20  6 (_)
   2836:4  5 (save-module-excursion _)
  3564:26  4 (_)
In unknown file:
           3 (primitive-load-path "gnu/packages/tex" #<procedure 7f3…>)
In gnu/packages/tex.scm:
  3011:13  2 (_)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
error: license:arphic-1999: unbound variable
```

I also tried `guix repl` and it looks like the error is from `(gnu packages
tex)`
```
scheme@(guix-user)> (use-modules (gnu packages tex))
While compiling expression:
error: license:arphic-1999: unbound variable
```

Also if I search for some package, I get different errors,
```
  guix search rust-anyhow
error: license:arphic-1999: unbound variable
hint: Did you forget a `use-modules' form?

error: googletest: unbound variable
hint: Did you forget a `use-modules' form?

error: bzip2: unbound variable
hint: Did you forget a `use-modules' form?

error: cross-gcc: unbound variable
hint: Did you forget `(use-modules (gnu packages cross-base))'?

error: dfu-util: unbound variable
hint: Did you forget a `use-modules' form?

error: gnutls: unbound variable
hint: Did you forget a `use-modules' form?

error: tcc: unbound variable
hint: Did you forget a `use-modules' form?

error: xz: unbound variable
hint: Did you forget a `use-modules' form?

error: gnu-make: unbound variable
hint: Did you forget a `use-modules' form?

error: cross-binutils: unbound variable
hint: Did you forget `(use-modules (gnu packages cross-base))'?

Throw to key `unbound-variable' with args `("resolve-interface" "no binding
`~A' in module ~A" (shared-mime-info (gnu packages gnome)) #f)'.
Backtrace:
          13 (primitive-load "/home/apoorv/.config/guix/current/bin/…")
In guix/ui.scm:
   2300:7 12 (run-guix . _)
  2263:10 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/package.scm:
   190:18  9 (_)
In gnu/packages.scm:
   242:33  8 (fold-packages #<procedure 7fb8bdec97c0 at guix/script…> …)
In guix/discovery.scm:
   158:11  7 (all-modules _ #:warn _)
In srfi/srfi-1.scm:
   460:18  6 (fold #<procedure 7fb8bdec96a0 at guix/discovery.scm:1…> …)
In guix/discovery.scm:
   148:19  5 (_ _ ())
    115:5  4 (scheme-modules _ _ #:warn _)
In srfi/srfi-1.scm:
   691:23  3 (filter-map #<procedure 7fb8bdec9580 at guix/discove…> . #)
In guix/discovery.scm:
   123:24  2 (_ . _)
In guix/ui.scm:
    343:2  1 (report-unbound-variable-error _ #:frame _)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `match-error' with args `("match" "no matching pattern"
(unbound-variable "resolve-interface" "no binding `~A' in module ~A"
(shared-mime-info (gnu packages gnome)) #f))'.
```